Update Loan
curl --request PUT \
--url https://los.universal.rollout.com/api/loans/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"type": "<string>",
"assignedUserId": "<string>",
"statusDate": "2023-11-07T05:31:56Z",
"applicationDate": "2023-11-07T05:31:56Z",
"closingDate": "2023-11-07T05:31:56Z",
"fundingDate": "2023-11-07T05:31:56Z",
"interestRate": 123,
"loanToValue": 123,
"amount": 123,
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123
},
"term": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>"
}
'import requests
url = "https://los.universal.rollout.com/api/loans/{id}"
payload = {
"type": "<string>",
"assignedUserId": "<string>",
"statusDate": "2023-11-07T05:31:56Z",
"applicationDate": "2023-11-07T05:31:56Z",
"closingDate": "2023-11-07T05:31:56Z",
"fundingDate": "2023-11-07T05:31:56Z",
"interestRate": 123,
"loanToValue": 123,
"amount": 123,
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": True,
"pmiRequired": True,
"pmiRate": 123
},
"term": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: '<string>',
assignedUserId: '<string>',
statusDate: '2023-11-07T05:31:56Z',
applicationDate: '2023-11-07T05:31:56Z',
closingDate: '2023-11-07T05:31:56Z',
fundingDate: '2023-11-07T05:31:56Z',
interestRate: 123,
loanToValue: 123,
amount: 123,
rateAndTerms: {monthlyPayment: 123, escrowIncluded: true, pmiRequired: true, pmiRate: 123},
term: 123,
purpose: '<string>',
stage: '<string>',
status: '<string>'
})
};
fetch('https://los.universal.rollout.com/api/loans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://los.universal.rollout.com/api/loans/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'type' => '<string>',
'assignedUserId' => '<string>',
'statusDate' => '2023-11-07T05:31:56Z',
'applicationDate' => '2023-11-07T05:31:56Z',
'closingDate' => '2023-11-07T05:31:56Z',
'fundingDate' => '2023-11-07T05:31:56Z',
'interestRate' => 123,
'loanToValue' => 123,
'amount' => 123,
'rateAndTerms' => [
'monthlyPayment' => 123,
'escrowIncluded' => true,
'pmiRequired' => true,
'pmiRate' => 123
],
'term' => 123,
'purpose' => '<string>',
'stage' => '<string>',
'status' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://los.universal.rollout.com/api/loans/{id}"
payload := strings.NewReader("{\n \"type\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"statusDate\": \"2023-11-07T05:31:56Z\",\n \"applicationDate\": \"2023-11-07T05:31:56Z\",\n \"closingDate\": \"2023-11-07T05:31:56Z\",\n \"fundingDate\": \"2023-11-07T05:31:56Z\",\n \"interestRate\": 123,\n \"loanToValue\": 123,\n \"amount\": 123,\n \"rateAndTerms\": {\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123\n },\n \"term\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://los.universal.rollout.com/api/loans/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"statusDate\": \"2023-11-07T05:31:56Z\",\n \"applicationDate\": \"2023-11-07T05:31:56Z\",\n \"closingDate\": \"2023-11-07T05:31:56Z\",\n \"fundingDate\": \"2023-11-07T05:31:56Z\",\n \"interestRate\": 123,\n \"loanToValue\": 123,\n \"amount\": 123,\n \"rateAndTerms\": {\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123\n },\n \"term\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://los.universal.rollout.com/api/loans/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"statusDate\": \"2023-11-07T05:31:56Z\",\n \"applicationDate\": \"2023-11-07T05:31:56Z\",\n \"closingDate\": \"2023-11-07T05:31:56Z\",\n \"fundingDate\": \"2023-11-07T05:31:56Z\",\n \"interestRate\": 123,\n \"loanToValue\": 123,\n \"amount\": 123,\n \"rateAndTerms\": {\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123\n },\n \"term\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"loanNumber": "<string>",
"interestRate": 123,
"amount": 123,
"term": 123,
"loanToValue": 123,
"type": "<string>",
"purpose": "<string>",
"status": "<string>",
"statusDate": "2023-11-07T05:31:56Z",
"applicationDate": "2023-11-07T05:31:56Z",
"closingDate": "2023-11-07T05:31:56Z",
"fundingDate": "2023-11-07T05:31:56Z",
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123
},
"originalIds": {},
"original": {},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"userParticipantIds": [
"<string>"
],
"userParticipants": [
{
"userId": "<string>",
"roles": [
"<string>"
]
}
],
"borrowerParticipantIds": [
"<string>"
],
"peopleParticipants": [
{
"personId": "<string>",
"roles": [
"<string>"
]
}
],
"stage": "<string>",
"stageHistory": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"scheduledStartDate": "2023-11-07T05:31:56Z",
"actualStartDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"plannedDurationDays": 123,
"actualDurationDays": 123,
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>"
},
"requiresReview": true,
"isReviewed": true,
"order": 123,
"isRequired": true,
"notes": "<string>",
"metadata": null
}
],
"loanFolder": "<string>",
"archived": true,
"mortgageType": "<string>",
"lienType": "<string>",
"amortizationType": "<string>",
"armInitialPeriodMonths": 123,
"armSubsequentPeriodMonths": 123,
"expectedRentalIncome": 123,
"expectedNetRentalIncome": 123,
"communityProperty": true,
"transactionDetail": "<string>",
"refinanceType": "<string>",
"refinanceProgram": "<string>",
"energyImprovement": "<string>",
"projectType": "<string>",
"proposedMonthlyPayment": {
"firstMortgagePI": 123,
"subordinatePI": 123,
"homeownersInsurance": 123,
"supplementalInsurance": 123,
"propertyTaxes": 123,
"mortgageInsurance": 123,
"associationDues": 123,
"other": 123,
"total": 123
},
"loanFeatures": {
"balloon": true,
"interestOnly": true,
"negativeAmortization": true,
"prepaymentPenalty": true,
"temporaryBuydown": true,
"other": "<string>"
},
"qualifyingFunds": {
"dueFromBorrower": 123,
"totalMortgageLoans": 123,
"totalCredits": 123,
"cashFromToBorrower": 123
},
"titleInfo": {
"heldInNames": "<string>",
"currentlyHeldInNames": "<string>",
"estateType": "<string>",
"leaseholdExpiration": "<string>",
"mannerOfTitle": "<string>",
"trustInfo": "<string>",
"tribalLand": true
},
"loanOriginator": {
"organizationName": "<string>",
"organizationNmlsId": "<string>",
"organizationStateLicense": "<string>",
"individualName": "<string>",
"individualNmlsId": "<string>",
"individualStateLicense": "<string>",
"email": "<string>",
"phone": "<string>"
},
"otherNewMortgageLoans": [
{
"creditor": "<string>",
"lienType": "<string>",
"monthlyPayment": 123,
"loanAmount": 123,
"creditLimit": 123
}
],
"giftsOrGrants": [
{
"assetType": "<string>",
"source": "<string>",
"deposited": true,
"value": 123
}
],
"program": "<string>",
"lock": {
"status": "<string>",
"date": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z"
},
"debtToIncome": 123,
"combinedLoanToValue": 123,
"firstTimeBuyer": true,
"estimatedClosingDate": "2023-11-07T05:31:56Z",
"firstPaymentDate": "2023-11-07T05:31:56Z",
"preApproval": {
"issuedDate": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z"
},
"denialReason": "<string>",
"referralSource": "<string>",
"milestoneDates": {
"processingStarted": "2023-11-07T05:31:56Z",
"creditReportOrdered": "2023-11-07T05:31:56Z",
"appraisalOrdered": "2023-11-07T05:31:56Z",
"appraisalExpected": "2023-11-07T05:31:56Z",
"appraisalReceived": "2023-11-07T05:31:56Z",
"underwritingSubmitted": "2023-11-07T05:31:56Z",
"underwritingApproved": "2023-11-07T05:31:56Z",
"resubmitted": "2023-11-07T05:31:56Z",
"approved": "2023-11-07T05:31:56Z",
"clearToClose": "2023-11-07T05:31:56Z",
"docsOut": "2023-11-07T05:31:56Z",
"documentsSigned": "2023-11-07T05:31:56Z",
"closingDisclosureOut": "2023-11-07T05:31:56Z",
"closingDisclosureSigned": "2023-11-07T05:31:56Z",
"fundsRequested": "2023-11-07T05:31:56Z",
"fundingExpected": "2023-11-07T05:31:56Z",
"postClosed": "2023-11-07T05:31:56Z",
"audited": "2023-11-07T05:31:56Z",
"purchased": "2023-11-07T05:31:56Z",
"earlyPayoff": "2023-11-07T05:31:56Z",
"annualReview": "2023-11-07T05:31:56Z"
},
"rolloutUpdated": "2023-11-07T05:31:56Z"
}{
"errorMessage": "<string>"
}{
"code": "RESOURCE_NOT_FOUND",
"errorMessage": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Loans
Update Loan
Requires loans: true in the credential’s entitiesToSync selection and a connector that supports this operation. Choose what data to sync, or fix an entity that is not configured to sync.
PUT
/
loans
/
{id}
Update Loan
curl --request PUT \
--url https://los.universal.rollout.com/api/loans/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Rollout-Credential-Id: <api-key>' \
--data '
{
"type": "<string>",
"assignedUserId": "<string>",
"statusDate": "2023-11-07T05:31:56Z",
"applicationDate": "2023-11-07T05:31:56Z",
"closingDate": "2023-11-07T05:31:56Z",
"fundingDate": "2023-11-07T05:31:56Z",
"interestRate": 123,
"loanToValue": 123,
"amount": 123,
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123
},
"term": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>"
}
'import requests
url = "https://los.universal.rollout.com/api/loans/{id}"
payload = {
"type": "<string>",
"assignedUserId": "<string>",
"statusDate": "2023-11-07T05:31:56Z",
"applicationDate": "2023-11-07T05:31:56Z",
"closingDate": "2023-11-07T05:31:56Z",
"fundingDate": "2023-11-07T05:31:56Z",
"interestRate": 123,
"loanToValue": 123,
"amount": 123,
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": True,
"pmiRequired": True,
"pmiRate": 123
},
"term": 123,
"purpose": "<string>",
"stage": "<string>",
"status": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"X-Rollout-Credential-Id": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Authorization: 'Bearer <token>',
'X-Rollout-Credential-Id': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
type: '<string>',
assignedUserId: '<string>',
statusDate: '2023-11-07T05:31:56Z',
applicationDate: '2023-11-07T05:31:56Z',
closingDate: '2023-11-07T05:31:56Z',
fundingDate: '2023-11-07T05:31:56Z',
interestRate: 123,
loanToValue: 123,
amount: 123,
rateAndTerms: {monthlyPayment: 123, escrowIncluded: true, pmiRequired: true, pmiRate: 123},
term: 123,
purpose: '<string>',
stage: '<string>',
status: '<string>'
})
};
fetch('https://los.universal.rollout.com/api/loans/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://los.universal.rollout.com/api/loans/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'type' => '<string>',
'assignedUserId' => '<string>',
'statusDate' => '2023-11-07T05:31:56Z',
'applicationDate' => '2023-11-07T05:31:56Z',
'closingDate' => '2023-11-07T05:31:56Z',
'fundingDate' => '2023-11-07T05:31:56Z',
'interestRate' => 123,
'loanToValue' => 123,
'amount' => 123,
'rateAndTerms' => [
'monthlyPayment' => 123,
'escrowIncluded' => true,
'pmiRequired' => true,
'pmiRate' => 123
],
'term' => 123,
'purpose' => '<string>',
'stage' => '<string>',
'status' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Rollout-Credential-Id: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://los.universal.rollout.com/api/loans/{id}"
payload := strings.NewReader("{\n \"type\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"statusDate\": \"2023-11-07T05:31:56Z\",\n \"applicationDate\": \"2023-11-07T05:31:56Z\",\n \"closingDate\": \"2023-11-07T05:31:56Z\",\n \"fundingDate\": \"2023-11-07T05:31:56Z\",\n \"interestRate\": 123,\n \"loanToValue\": 123,\n \"amount\": 123,\n \"rateAndTerms\": {\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123\n },\n \"term\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("X-Rollout-Credential-Id", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://los.universal.rollout.com/api/loans/{id}")
.header("Authorization", "Bearer <token>")
.header("X-Rollout-Credential-Id", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"statusDate\": \"2023-11-07T05:31:56Z\",\n \"applicationDate\": \"2023-11-07T05:31:56Z\",\n \"closingDate\": \"2023-11-07T05:31:56Z\",\n \"fundingDate\": \"2023-11-07T05:31:56Z\",\n \"interestRate\": 123,\n \"loanToValue\": 123,\n \"amount\": 123,\n \"rateAndTerms\": {\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123\n },\n \"term\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://los.universal.rollout.com/api/loans/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["X-Rollout-Credential-Id"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"<string>\",\n \"assignedUserId\": \"<string>\",\n \"statusDate\": \"2023-11-07T05:31:56Z\",\n \"applicationDate\": \"2023-11-07T05:31:56Z\",\n \"closingDate\": \"2023-11-07T05:31:56Z\",\n \"fundingDate\": \"2023-11-07T05:31:56Z\",\n \"interestRate\": 123,\n \"loanToValue\": 123,\n \"amount\": 123,\n \"rateAndTerms\": {\n \"monthlyPayment\": 123,\n \"escrowIncluded\": true,\n \"pmiRequired\": true,\n \"pmiRate\": 123\n },\n \"term\": 123,\n \"purpose\": \"<string>\",\n \"stage\": \"<string>\",\n \"status\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"loanNumber": "<string>",
"interestRate": 123,
"amount": 123,
"term": 123,
"loanToValue": 123,
"type": "<string>",
"purpose": "<string>",
"status": "<string>",
"statusDate": "2023-11-07T05:31:56Z",
"applicationDate": "2023-11-07T05:31:56Z",
"closingDate": "2023-11-07T05:31:56Z",
"fundingDate": "2023-11-07T05:31:56Z",
"rateAndTerms": {
"monthlyPayment": 123,
"escrowIncluded": true,
"pmiRequired": true,
"pmiRate": 123
},
"originalIds": {},
"original": {},
"created": "2023-11-07T05:31:56Z",
"updated": "2023-11-07T05:31:56Z",
"userParticipantIds": [
"<string>"
],
"userParticipants": [
{
"userId": "<string>",
"roles": [
"<string>"
]
}
],
"borrowerParticipantIds": [
"<string>"
],
"peopleParticipants": [
{
"personId": "<string>",
"roles": [
"<string>"
]
}
],
"stage": "<string>",
"stageHistory": [
{
"id": "<string>",
"name": "<string>",
"status": "<string>",
"scheduledStartDate": "2023-11-07T05:31:56Z",
"actualStartDate": "2023-11-07T05:31:56Z",
"completedDate": "2023-11-07T05:31:56Z",
"plannedDurationDays": 123,
"actualDurationDays": 123,
"assignee": {
"id": "<string>",
"name": "<string>",
"email": "<string>",
"phone": "<string>",
"role": "<string>"
},
"requiresReview": true,
"isReviewed": true,
"order": 123,
"isRequired": true,
"notes": "<string>",
"metadata": null
}
],
"loanFolder": "<string>",
"archived": true,
"mortgageType": "<string>",
"lienType": "<string>",
"amortizationType": "<string>",
"armInitialPeriodMonths": 123,
"armSubsequentPeriodMonths": 123,
"expectedRentalIncome": 123,
"expectedNetRentalIncome": 123,
"communityProperty": true,
"transactionDetail": "<string>",
"refinanceType": "<string>",
"refinanceProgram": "<string>",
"energyImprovement": "<string>",
"projectType": "<string>",
"proposedMonthlyPayment": {
"firstMortgagePI": 123,
"subordinatePI": 123,
"homeownersInsurance": 123,
"supplementalInsurance": 123,
"propertyTaxes": 123,
"mortgageInsurance": 123,
"associationDues": 123,
"other": 123,
"total": 123
},
"loanFeatures": {
"balloon": true,
"interestOnly": true,
"negativeAmortization": true,
"prepaymentPenalty": true,
"temporaryBuydown": true,
"other": "<string>"
},
"qualifyingFunds": {
"dueFromBorrower": 123,
"totalMortgageLoans": 123,
"totalCredits": 123,
"cashFromToBorrower": 123
},
"titleInfo": {
"heldInNames": "<string>",
"currentlyHeldInNames": "<string>",
"estateType": "<string>",
"leaseholdExpiration": "<string>",
"mannerOfTitle": "<string>",
"trustInfo": "<string>",
"tribalLand": true
},
"loanOriginator": {
"organizationName": "<string>",
"organizationNmlsId": "<string>",
"organizationStateLicense": "<string>",
"individualName": "<string>",
"individualNmlsId": "<string>",
"individualStateLicense": "<string>",
"email": "<string>",
"phone": "<string>"
},
"otherNewMortgageLoans": [
{
"creditor": "<string>",
"lienType": "<string>",
"monthlyPayment": 123,
"loanAmount": 123,
"creditLimit": 123
}
],
"giftsOrGrants": [
{
"assetType": "<string>",
"source": "<string>",
"deposited": true,
"value": 123
}
],
"program": "<string>",
"lock": {
"status": "<string>",
"date": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z"
},
"debtToIncome": 123,
"combinedLoanToValue": 123,
"firstTimeBuyer": true,
"estimatedClosingDate": "2023-11-07T05:31:56Z",
"firstPaymentDate": "2023-11-07T05:31:56Z",
"preApproval": {
"issuedDate": "2023-11-07T05:31:56Z",
"expirationDate": "2023-11-07T05:31:56Z"
},
"denialReason": "<string>",
"referralSource": "<string>",
"milestoneDates": {
"processingStarted": "2023-11-07T05:31:56Z",
"creditReportOrdered": "2023-11-07T05:31:56Z",
"appraisalOrdered": "2023-11-07T05:31:56Z",
"appraisalExpected": "2023-11-07T05:31:56Z",
"appraisalReceived": "2023-11-07T05:31:56Z",
"underwritingSubmitted": "2023-11-07T05:31:56Z",
"underwritingApproved": "2023-11-07T05:31:56Z",
"resubmitted": "2023-11-07T05:31:56Z",
"approved": "2023-11-07T05:31:56Z",
"clearToClose": "2023-11-07T05:31:56Z",
"docsOut": "2023-11-07T05:31:56Z",
"documentsSigned": "2023-11-07T05:31:56Z",
"closingDisclosureOut": "2023-11-07T05:31:56Z",
"closingDisclosureSigned": "2023-11-07T05:31:56Z",
"fundsRequested": "2023-11-07T05:31:56Z",
"fundingExpected": "2023-11-07T05:31:56Z",
"postClosed": "2023-11-07T05:31:56Z",
"audited": "2023-11-07T05:31:56Z",
"purchased": "2023-11-07T05:31:56Z",
"earlyPayoff": "2023-11-07T05:31:56Z",
"annualReview": "2023-11-07T05:31:56Z"
},
"rolloutUpdated": "2023-11-07T05:31:56Z"
}{
"errorMessage": "<string>"
}{
"code": "RESOURCE_NOT_FOUND",
"errorMessage": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Authorizations
Query Parameters
Body
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Response
Response for status 200